Subject: Re: bug#6248: 23.1; justify (esc q) broken in Latex mode

From: Mark Lillibridge <[email-masked]>
Date: Thu, 03 Jun 2010 16:02:06 -0700

Stefan wrote:
>  So you're saying that filling should not use indentation when filling
>  top-level text and that would solve your use case?

    I think so; in particular, text at the top level not containing
latex commands should have the same filling rules as text in text mode.

>  Hmm... I see some problems with that:
>  - your original message reported that the whole paragraph was indented
>    (apparently by 4 spaces), so either that paragraph was not "outside
>    of any environment" or there is something I don't understand.

    I think there is something else going on; that paragraph was
contained in absolutely no environment.  As an experiment, I indented
the first line only of the original paragraph by 20 spaces.  The result
was that the entire paragraph is indented 20 spaces.  I can't think of
any argument for why this makes sense.

- Mark